### Method

# GLib BookmarkFile set_visited_date_time

since: 2.66

#### Declaration [src]

    void
    g_bookmark_file_set_visited_date_time (
      GBookmarkFile* bookmark,
      const char* uri,
      GDateTime* visited
    )

#### Description [src]

Sets the time the bookmark for `uri` was last visited.

If no bookmark for `uri` is found then it is created.

The “visited” time should only be set if the bookmark was launched, either using the command line retrieved by `g_bookmark_file_get_application_info()` or by the default application for the bookmark’s MIME type, retrieved using g_bookmark_file_get_mime_type(). Changing the “visited” time does not affect the “modified” time.

Available since: 2.66

#### Parameters

`uri`

  Type: `const char*`

  A valid URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`visited`

  Type: `GDateTime`

  A `GDateTime`.

  The data is owned by the caller of the method.